MKDIR(1)

NOME
mkdir - cria diretórios

SINOPSE
mkdir [opções] diretório...

Opções POSIX: [-p] [-m modo]

Opções GNU (forma reduzida): [-p] [-m modo] [--verbose] [--help] [--version] [--]

DESCRIÇÃO
mkdir cria diretório com os nomes especificados.

Por padrão, o modo de criação dos diretórios é 0777 ("a+rwx") menos os bits selecionados na umask.

OPÇÕES

-m modo, --mode=modo
    Seleciona o modo de criação dos diretórios para modo, que pode ser simbólico como em chmod(1) e então usa o modo padrão como ponto de partida.

-p, --parents
    Cria qualquer diretório pai faltante para cada argumento diretório para diretórios pais é fixo pela umask modificada por "u+wx". Ignora argumentos que correspondem a diretórios existentes. (Assim, se um diretório /a existe, então "mkdir /a" vai provocar um erro, mas "mkdir -p /a" não.)

--verbose
    Imprime uma mensagem para cada diretório criado. Isto é muito útil com --parents.

OPÇÕES PADRÃO GNU

--help
    Imprime a mensagem de uso na saída padrão e sai.

--version
    Imprime a versão na saída padrão e sai.

--  Encerra a lista de opção.

AMBIENTE
As variáveis LANG, LC_ALL, LC_CTYPE and LC_MESSAGES tem seu significado usual.

DE ACORDO COM
POSIX 1003.2

NOTAS
Esta página descreve mkdir como é encontrado no pacote Utilitários de Arquivos 4.0; outras versões podem ser um pouco diferentes. Envie correções e adições para aeb@cwi.nl. Relatório de problemas no programa para fileutils-bugs@gnu.ai.mit.edu.

TRADUZIDO POR LDP-BR em 21/08/2000.
André L. Fassone Canova <lonelywolf@blv.com.br> (tradução) Ricardo C.O. Freitas <english.quest@best-service.com> (revisão)